Subject: Re: Lauries Landscape/Peonies

From: [email-masked] (GROWIT)
Date: 12 Mar 1995 21:08:29 -0500

>I recently sent away to lauries landscape in chicago for there peony
catalog 
>but have recieved no reply has anyone else done business with them.  I 
>understand they have a herbaceous/tree peony hybrid. 

tim; i know laurie, been to her house, seen her peonies. she's a small
bizperson so don't be too alarmed if she's not terribly prompt. if you
don't hear from her in awhile, send me a message and i'll call her. bill.